Subject: bug#19909: [PATCH] Error out if with-file-notification=w32 is specified on cygwin

From: Ken Brown <[email-masked]>
Date: Sat, 28 Feb 2015 13:44:38 -0500

On 2/28/2015 12:57 PM, Eli Zaretskii wrote:
>> Date: Sat, 28 Feb 2015 17:56:28 +0100
>> From: Robert Pluim <[email-masked]>
>> Cc: Ken Brown <[email-masked]>, [email-masked]
>>
>>      Perhaps the OP could explain why he wanted that.
>>
>> If you're referring to me, my motivation was to prevent a compilation error for
>> an incorrect configure combination. I believe you started us all down the path
>> of trying to get w32 notifying to work. I have no problem with using glib.
>
> No, I meant your reasons for specifying --with-file-notification=w32.
> You could only bump into this issue if you specified it, AFAIU.

Based on http://debbugs.gnu.org/cgi/bugreport.cgi?bug=19909#36, I think 
he specified --with-file-notification=w32 because he wanted file 
notification and didn't know he could use gfile.  Robert, please correct 
me if I'm misinterpreting what you wrote.

I'm inclined to go ahead with the revised patch he submitted in the 
above URL.  I'll commit it (with Robert as author and with the change 
marked as a "tiny change") if that's OK with you, Eli.

Two questions:

1. Shouldn't the name in the ChangeLog be "Robert Pluim" instead of 
"rpluim" to match all the other entries?

2. I tested making a git commit with

   --author="Robert Pluim <[email-masked]>  (tiny change)"

but git stripped away the "(tiny change)" part.  What should I do to get 
"tiny change" into the git history?  Maybe it's not so important now, 
because I can put it into the ChangeLog, but I'm thinking about the 
future, when ChangeLogs are automatically generated.

Ken